#!/bin/sh
export PATH='/usr/obj/ports/hs-PSQueue-1.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: PSQueue
version: 1.1
id: PSQueue-1.1-1a7a673ebf9f055e7cf40c6480191d58

license: BSD3
copyright:
maintainer: Scott E. Dillard <sedillard@gmail.com>
stability: Experimental
homepage:
package-url:
synopsis: Priority Search Queue
description: A /priority search queue/ efficiently supports the
             opperations of both a search tree and a priority queue. A
             '\''Binding'\'' is a product of a key and a priority.  Bindings
             can be inserted, deleted, modified and queried in
             logarithmic time, and the binding with the least priority
             can be retrieved in constant time.  A queue can be built
             from a list of bindings, sorted by keys, in linear time.
category: Data Structures
author: Ralf Hinze
pkgpath: devel/hs-PSQueue
exposed: True
exposed-modules: Data.PSQueue
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/PSQueue-1.1
library-dirs: /usr/local/lib/ghc/PSQueue-1.1
hs-libraries: HSPSQueue-1.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-PSQueue-1.1/html/PSQueue.haddock
haddock-html: /usr/local/share/doc/hs-PSQueue-1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
